## org.apache.axis.transport.mail
Class MailSender

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.transport.mail.MailSender

All Implemented Interfaces:
  Handler, java.io.Serializable

public class MailSender
extends BasicHandler

This is meant to be used on a SOAP Client to call a SOAP server via SMTP/POP3

Author:
  Davanum Srinivas (dims@yahoo.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` `log`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`MailSender()`

Method Summary
`void` `invoke(MessageContext msgContext)` invoke creates a socket connection, sends the request SOAP message and then reads the response SOAP message back from the SOAP server

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### MailSender

    public MailSender()

Method Detail

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  invoke creates a socket connection, sends the request SOAP message and then reads the response SOAP message back from the SOAP server

  Parameters:
    `msgContext` - the messsage context
  Throws:
    `AxisFault`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.